## libcgi-application-plugin-ratelimit-perl 1.0

=== debian/changelog ===
libcgi-application-plugin-ratelimit-perl (1.0-4) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Jaldhar H. Vyas from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Bump debhelper from deprecated 8 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove constraints unnecessary since stretch:
    + libcgi-application-plugin-ratelimit-perl: Drop versioned constraint on
      libcgi-application-extra-plugin-bundle-perl in Replaces.
    + libcgi-application-plugin-ratelimit-perl: Drop versioned constraint on
      libcgi-application-extra-plugin-bundle-perl in Breaks.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 10 Jun 2022 00:41:52 +0100

libcgi-application-plugin-ratelimit-perl (1.0-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Jan 2021 15:01:36 +0100

libcgi-application-plugin-ratelimit-perl (1.0-3) unstable; urgency=low

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * debian/control: remove Nicholas Bamber from Uploaders on request of
    the MIA team.
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Mark package as autopkgtest-able.
  * Declare compliance with Debian Policy 3.9.6.
  * Add explicit build dependency on libcgi-pm-perl.

 -- gregor herrmann <gregoa@debian.org>  Sat, 13 Jun 2015 16:09:41 +0200

libcgi-application-plugin-ratelimit-perl (1.0-2) unstable; urgency=low

  * Team upload.
  * Add short description and improve long description. Thanks to Frederik
    Schwarzer for the bug report and the proposed patch. (Closes: #677495)
  * debian/copyright: update to Copyright-Format 1.0.
  * Bump Standards-Version to 3.9.3 (no changes).
  * Remove unused lintian override.

 -- gregor herrmann <gregoa@debian.org>  Thu, 14 Jun 2012 22:53:18 +0200

libcgi-application-plugin-ratelimit-perl (1.0-1) unstable; urgency=low

  * Split off from
    libcgi-application-extra-plugin-bundle-perl (Closes: #647863).

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Fri, 11 Nov 2011 21:04:24 +0000
