=== debian/watch ===
version=4
https://metacpan.org/release/CGI-Application-Plugin-RateLimit   .*/CGI-Application-Plugin-RateLimit-v?@ANY_VERSION@@ARCHIVE_EXT@$
